Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.sitegraph.entities
Class FileBasedView

    java.lang.Object
      org.apache.struts2.sitegraph.entities.FileBasedView

All Implemented Interfaces:
  View

Direct Known Subclasses:
  FreeMarkerView, JspView, VelocityView

    public abstract class FileBasedView

extends Object
implements View

Field Summary

Fields inherited from interface org.apache.struts2.sitegraph.entities.View
`TYPE_FTL, TYPE_JSP, TYPE_VM`

Constructor Summary
`FileBasedView(File file)`

Method Summary
`protected abstract Pattern` | `getActionPattern()`
`protected abstract Pattern` | `getFormPattern()`
`protected Pattern` | `getLinkPattern()`
`String` | `getName()` Name of view file
`Set<Target>` | `getTargets()` Returns Set of Commands linked to by this view
`protected String` | `readFile(File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileBasedView

    public FileBasedView(File file)

Method Detail

### getName

    public String getName()

  Description copied from interface: `View`
  Name of view file

  Specified by:
    `getName` in interface `View`
  Returns:
    The name of the view file.

### getTargets

    public Set<Target> getTargets()

  Description copied from interface: `View`
  Returns Set of Commands linked to by this view

  Specified by:
    `getTargets` in interface `View`
  Returns:
    a set of Targets

### getLinkPattern

    protected Pattern getLinkPattern()

### getActionPattern

    protected abstract Pattern getActionPattern()

### getFormPattern

    protected abstract Pattern getFormPattern()

### readFile

    protected String readFile(File file)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.